Subject: Re: linux-next: boot failure after merge of the tip tree

From: Peter Zijlstra <[email-masked]>
Date: Wed, 24 May 2023 11:34:54 +0200

On Wed, May 24, 2023 at 03:44:59PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the tip tree, today's linux-next build (powerpc
> pseries_le_defconfig) failed to boot like this:
> 
>  Built 1 zonelists, mobility grouping on.  Total pages: 32736
>  Policy zone: Normal
>  mem auto-init: stack:all(zero), heap alloc:off, heap free:off
>  Memory: 2027392K/2097152K available (17984K kernel code, 3328K rwdata, 14784K rodata, 6080K init, 1671K bss, 69760K reserved, 0K cma-reserved)
> 
> *crickets*
> 
> Bisected to commit
> 
>   f4ab23558310 ("slub: Replace cmpxchg_double()")
> 
> I have reverted that commit (and the following one) for today.

Sorry about that; turns out I forgot to test the case where cmpxchg128
wasn't available.

Please see:

  https://lkml.kernel.org/r/[email-masked]

As stated there, I'm going to zap tip/locking/core for a few days and
let this fixed version run through the robots again before re-instating
it.